LPT(4)

NAME
lpt - parallel port driver

SYNOPSIS
# alpha
lpt* at isa? port 0x3bc irq 7

# amd64
lpt0 at isa? port 0x378 irq 7
lpt* at puc?

# i386
lpt0 at isa? port 0x378 irq 7
lpt1 at isa? port 0x278
lpt2 at isa? port 0x3bc
lpt* at puc?

# hppa
lpt0 at gsc? irq 7
lpt0 at ssio?

# sparc64
lpt* at apio?
lpt* at ebus?

DESCRIPTION
This driver provides access to parallel ports.

The highest bit in the minor (bit 7, or add 128) number selects whether to do polling or wait for interrupts. If no IRQ is specified in the kernel configuration, or the IRQ specified is not available at attach time, only the polling device may be used.

The next lower bit (bit 6, or add 64) indicates the driver should avoid initializing the printer.

The next lower bit (bit 5, or add 32) requests that the driver do automatic LF generation when printing CRs.

FILES
/dev/lpt0
    first interrupt-driven parallel port device
/dev/lpa0
    first polled parallel port device

SEE ALSO
intro(4), isa(4), ulpt(4)